a {
  text-decoration: none !important;
}

.icon-menu {
  font-size: 10px !important;
  padding: 0 !important;
}

/* ########## FORMULÁRIO DE CADASTRO DE ATIVOS ########## */

.inputGroup-form {
  font-family: 'Segoe UI', sans-serif;
  margin: 1em 0 1em 0;
  position: relative;
}

.inputGroup-form input {
  font-size: 100%;
  padding: 0.8em;
  outline: none;
  border: 2px solid rgb(200, 200, 200);
  background-color: transparent;
  border-radius: 13px;
  width: 100%;
}

.inputGroup-form label {
  font-size: 100%;
  position: absolute;
  left: 0;
  padding: 0.8em;
  margin-left: 0.5em;
  pointer-events: none;
  transition: all 0.3s ease;
  /* color: rgb(100, 100, 100); */
  color: #7a7b7d;
}

.inputGroup-form :is(input:focus, input:valid)~label {
  transform: translateY(-50%) scale(.9);
  margin: 0em;
  margin-left: 1.3em;
  padding: 0.1em;
  /* background-color: #ffffff; */
  background-color: transparent;
  margin-top: -10px;
  border-radius: 5px;
}

.inputGroup-form :is(input:focus, input:valid) {
  border-color: rgb(150, 150, 200);
}

/* ########## SELECT ########## */


.inputGroup-form select {
  font-size: 100%;
  padding: 0.8em;
  outline: none;
  border: 2px solid rgb(200, 200, 200);
  background-color: transparent;
  border-radius: 13px;
  width: 100%;
}



.inputGroup-form :is(select:focus, select:valid)~label {
  transform: translateY(-50%) scale(.9);
  margin: 0em;
  margin-left: 1.3em;
  margin-top: -10px;
  padding: 0.1em;
  /* background-color: #ffffff; */
  background-color: transparent;
  /* border: 1px solid red; */
  border-radius: 30px;
}

.inputGroup-form :is(select:focus, select:valid) {
  border-color: rgb(150, 150, 200);
}

/* ########## SELECT ##########  */

/* ########## CURSOR ##########  */
.cursor {
  cursor: pointer;
}

/* ########## CURSOR ##########  */
/* ########## FORMULÁRIO  DE CADASTRO DE ATIVOS ##########  */

/* ########## MUDAR CONTEUDO DA PAGINA ##########  */
.page-content {
  display: none;
  transition: opacity 0.5s ease;
}



.loader {
  display: none;
  /* Inicialmente oculto */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  /* Fundo semi-transparente */
  z-index: 9999;
  /* Para garantir que fique acima de tudo */
  display: flex;
  justify-content: center;
  /* Centraliza horizontalmente */
  align-items: center;
  /* Centraliza verticalmente */
  font-size: 24px;
  /* Tamanho da fonte */
  color: #007bff;
  /* Cor do texto */
  text-align: center;
  /* Alinha o texto ao centro */
}





.active-page {
  display: block;
}

/* ########## MUDAR CONTEUDO DA PAGINA ##########  */



/* ########## CADASTRAR VEICULOS (SELECIONAR CAVALO, CARRETA OU BITREM) ##########  */
.seleciona-veiculo {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 350px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.seleciona-veiculo>* {
  margin: 6px;
}

.radio-input-veiculo:checked+.radio-tile {
  border-color: #2260ff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  color: #2260ff;
}

.radio-input-veiculo:checked+.radio-tile:before {
  transform: scale(1);
  opacity: 1;
  background-color: #2260ff;
  border-color: #2260ff;
}

.radio-input-veiculo:checked+.radio-tile .radio-icon svg {
  fill: #2260ff;
}

.radio-input-veiculo:checked+.radio-tile .radio-label {
  color: #2260ff;
}

.radio-input-veiculo:focus+.radio-tile {
  border-color: #2260ff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1), 0 0 0 4px #b5c9fc;
}

.radio-input-veiculo:focus+.radio-tile:before {
  transform: scale(1);
  opacity: 1;
}

.radio-tile {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 80px;
  min-height: 80px;
  border-radius: 0.5rem;
  border: 2px solid #b5bfd9;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  transition: 0.15s ease;
  cursor: pointer;
  position: relative;
}

.radio-tile:before {
  content: "";
  position: absolute;
  display: block;
  width: 0.75rem;
  height: 0.75rem;
  border: 2px solid #b5bfd9;
  background-color: #fff;
  border-radius: 50%;
  top: 0.25rem;
  left: 0.25rem;
  opacity: 0;
  transform: scale(0);
  transition: 0.25s ease;
}

.radio-tile:hover {
  border-color: #2260ff;
}

.radio-tile:hover:before {
  transform: scale(1);
  opacity: 1;
}

.radio-icon svg {
  width: 2rem;
  height: 2rem;
  fill: #494949;
}

.radio-label {
  color: #707070;
  transition: 0.375s ease;
  text-align: center;
  font-size: 13px;
}

.radio-input-veiculo {
  clip: rect(0 0 0 0);
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

/* ########## CADASTRAR VEICULOS (SELECIONAR CAVALO, CARRETA OU BITREM) ##########  */

.back-perfil {
  background-image: url('../imagem/logo-milly.png');
  background-size: auto;
  background-position: 70%;
  background-repeat: no-repeat;
  padding: 20px;
  border-radius: 8px;
  background-color: #000168;
}


/* SCROLL */

.scroll-sm::-webkit-scrollbar {
  width: 180px;
}

.scroll-sm::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 10px;
}

.scroll-sm::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

.scroll-sm {
  scrollbar-width: thin;
  scrollbar-color: #888 #e0e0e0;
}








/* Estilo para o dropdown do Select2 */
.select2-dropdown {
  background-color: #ffffff !important;
  /* width: 50%; */
  /* Borda azul no dropdown */
  border-radius: 5px !important;
  /* Bordas arredondadas no dropdown */
}

/* Estilo para as opções do Select2 */
.select2-results__option {
  padding: 10px !important;
  /* Ajuste no padding das opções */
}

.select2-selection__rendered {
  /* padding: 0px !important; */
  /* border-radius: 5px !important; */
  /* margin-top: -11px; */
}

.select2-search__field {
  margin-top: 10px;
  border: 2px solid #9696c8 !important;
  /* Define a cor da borda */
  border-radius: 5px !important;
  /* Bordas arredondadas */
  padding: 5px 10px !important;
  /* Adiciona padding para ajustar o tamanho */
}

/* choices */



/* Estilo para o dropdown do Select2 */
.choices-dropdown {
  background-color: #ffffff !important;
  /* width: 50%; */
  /* Borda azul no dropdown */
  border-radius: 5px !important;
  /* Bordas arredondadas no dropdown */
}

/* Estilo para as opções do Select2 */
.choices-results__option {
  padding: 10px !important;
  /* Ajuste no padding das opções */
}

.choices-selection__rendered {
  padding: 0px !important;
  border-radius: 5px !important;
  /* margin-top: -11px; */
}

.choices-search__field {
  margin-top: 10px;
  border: 2px solid #9696c8 !important;
  /* Define a cor da borda */
  border-radius: 5px !important;
  /* Bordas arredondadas */
  padding: 5px 10px !important;
  /* Adiciona padding para ajustar o tamanho */
}



/* ALERTA */
.custom-toast {
  background-color: #fff;
  /* Cor azul personalizada */
  color: white;
  /* Cor do texto */
}

/* ALERTA */


/* VISUALIZAR FILE DE RS */

.file-preview {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.file-item {
  border: 1px solid #ddd;
  padding: 10px;
  border-radius: 5px;
  max-width: 150px;
  text-align: center;
  font-size: 14px;
}

.file-item img {
  max-width: 100%;
  height: auto;
}

.file-item p {
  word-break: break-word;
}

/* VISUALIZAR FILE DE RS */


/* PAGINA EM MANUTENÇÂO */


/* From Uiverse.io by SnyDeTreves */
/*************/
/* Variables */
/*************/

.btn-container {
  --pupil-color: rgb(156, 207, 255);
  --pupil-move: 20%;
  --sensor-height: 130dvmax;
  --sensor-width: calc(var(--sensor-height) * 82.84 / 100);
}

.btn-button {
  --back-color: #fff;
}

.btn-lid {
  --back-color: transparent;
}

/**********/
/* Styles */
/**********/

/* Container */
.btn-container {
  position: relative;
}

/* Button */
.btn-button {
  background: #fff;
  border: 3px solid #000;
  border-radius: 10rem;
  cursor: pointer;
  padding: 2rem;
  position: relative;
  z-index: 100;
}

.btn-button:hover,
.btn-button:hover .btn-lid {
  animation: squint 100ms forwards;
}

.btn-button:active .btn-pupil {
  animation: agitate 100ms infinite 500ms;
  border-width: 0.5rem;
  padding: 1rem;
}

.btn-lid {
  border-radius: 10rem;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 101;
}

.btn-pupil {
  background: #000;
  border: 0.8rem solid var(--pupil-color);
  border-radius: 10rem;
  padding: 0.7rem;
  transition: all 200ms ease-out;
}

/* Sensors */
.btn-sensor {
  clip-path: polygon(0 0, 100% 0, 50% 100%, 0 0);
  height: var(--sensor-height);
  left: calc(50% - var(--sensor-width) / 2);
  overflow: hidden;
  position: absolute;
  top: calc(50% - var(--sensor-height) / 2);
  transform: rotate(calc(var(--a) * 1deg)) translateY(calc(var(--sensor-height) * -50 / 100));
  width: var(--sensor-width);
  z-index: 99;
}

/************/
/* Tracking */
/************/

.sensor-n:hover~.btn-button .btn-pupil {
  transform: translateX(0) translateY(calc(-3 * var(--pupil-move)));
}

.sensor-ne:hover~.btn-button .btn-pupil {
  transform: translateX(calc(2 * var(--pupil-move))) translateY(calc(-2 * var(--pupil-move)));
}

.sensor-e:hover~.btn-button .btn-pupil {
  transform: translateX(calc(3 * var(--pupil-move))) translateY(0);
}

.sensor-se:hover~.btn-button .btn-pupil {
  transform: translateX(calc(2 * var(--pupil-move))) translateY(calc(2 * var(--pupil-move)));
}

.sensor-s:hover~.btn-button .btn-pupil {
  transform: translateX(0) translateY(calc(3 * var(--pupil-move)));
}

.sensor-sw:hover~.btn-button .btn-pupil {
  transform: translateX(calc(-2 * var(--pupil-move))) translateY(calc(2 * var(--pupil-move)));
}

.sensor-w:hover~.btn-button .btn-pupil {
  transform: translateX(calc(-3 * var(--pupil-move))) translateY(0);
}

.sensor-nw:hover~.btn-button .btn-pupil {
  transform: translateX(calc(-2 * var(--pupil-move))) translateY(calc(-2 * var(--pupil-move)));
}

/**************/
/* Animations */
/**************/

@keyframes agitate {
  0% {
    transform: scale(1.2) translate(0%, -10%);
  }

  25% {
    transform: scale(1.2) translate(-10%, 10%);
  }

  50% {
    transform: scale(1.2) translate(10%, -5%);
  }

  75% {
    transform: scale(1.2) translate(-10%, -5%);
  }

  100% {
    transform: scale(1.2) translate(10%, 10%);
  }
}

@keyframes squint {
  0% {
    background: var(--back-color);
  }

  25% {
    background: linear-gradient(0deg,
        #000 0% 9%,
        var(--back-color) 10% 90%,
        #000 91% 100%);
  }

  50% {
    background: linear-gradient(0deg,
        #000 0% 18%,
        var(--back-color) 19% 81%,
        #000 82% 100%);
  }

  75% {
    background: linear-gradient(0deg,
        #000 0% 27%,
        var(--back-color) 28% 72%,
        #000 73% 100%);
  }

  100% {
    background: linear-gradient(0deg,
        #000 0% 35%,
        var(--back-color) 36% 64%,
        #000 65% 100%);
  }
}